commit:     4a6d2f7338e8e0bee6382b03b19edf06ee9af258
Author:     Craig Andrews <candrews <AT> gentoo <DOT> org>
AuthorDate: Thu Aug 21 14:42:02 2025 +0000
Commit:     Craig Andrews <candrews <AT> gentoo <DOT> org>
CommitDate: Thu Aug 21 14:42:34 2025 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=4a6d2f73

dev-libs/libudfread: add 1.2.0, EAPI=8, use Meson

Signed-off-by: Craig Andrews <candrews <AT> gentoo.org>

 dev-libs/libudfread/Manifest                       |  1 +
 ...udfread-9999.ebuild => libudfread-1.2.0.ebuild} | 26 ++++++----------------
 dev-libs/libudfread/libudfread-9999.ebuild         | 26 ++++++----------------
 3 files changed, 15 insertions(+), 38 deletions(-)

diff --git a/dev-libs/libudfread/Manifest b/dev-libs/libudfread/Manifest
index 6bda96d9380a..fcb1200787c5 100644
--- a/dev-libs/libudfread/Manifest
+++ b/dev-libs/libudfread/Manifest
@@ -1 +1,2 @@
 DIST libudfread-1.1.2.tar.gz 33744 BLAKE2B 
1801d84a0ca38410a78f23e7d44f37e6d53346753c853df2e7380d259ce1ae7f0c712825b95a5753ad0bc6360cfffe1888b9e7bc30da8b84549e0f1198248f61
 SHA512 
3069feb5db40288beb5b112b285186162a704f0fdd3cf67a17fd4eeea015f2cfcfbb455b7aa7c3d79d00fd095a3fd11cffc7b121dce94d99c3b06a509a8977d2
+DIST libudfread-1.2.0.tar.gz 32761 BLAKE2B 
7cac5f585f3172d97890c250506d595cfbd236cab2111cbccef55d2c6e075e703a15fd57becd7e3554ee3031b62f6131df48c41317e5ae7fd0db57ddb2307b72
 SHA512 
63cdd8ce9b7525d17f8f685b87d1232334ebfe9ffcd48b3bb189231f4d3c88c11a19d3435be9252058d374b1cbd86eb38a045c969699730cb9729a541582f645

diff --git a/dev-libs/libudfread/libudfread-9999.ebuild 
b/dev-libs/libudfread/libudfread-1.2.0.ebuild
similarity index 53%
copy from dev-libs/libudfread/libudfread-9999.ebuild
copy to dev-libs/libudfread/libudfread-1.2.0.ebuild
index f4fb055b98c6..76c83208c5d6 100644
--- a/dev-libs/libudfread/libudfread-9999.ebuild
+++ b/dev-libs/libudfread/libudfread-1.2.0.ebuild
@@ -1,16 +1,16 @@
-# Copyright 1999-2020 Gentoo Authors
+# Copyright 1999-2025 Gentoo Authors
 # Distributed under the terms of the GNU General Public License v2
 
-EAPI=7
+EAPI=8
 
-inherit autotools multilib-minimal
+inherit meson-multilib
 
 if [[ ${PV} == *9999 ]] ; then
        EGIT_REPO_URI="https://code.videolan.org/videolan/${PN}.git";
        inherit git-r3
 else
        
SRC_URI="https://code.videolan.org/videolan/libudfread/-/archive/${PV}/${P}.tar.gz";
-       KEYWORDS="~amd64 ~arm ~arm64 ~x86"
+       KEYWORDS="~amd64 ~arm ~arm64 ~loong ~mips ~ppc ~ppc64 ~riscv ~sparc 
~x86"
 fi
 
 DESCRIPTION="Library for reading UDF from raw devices and image files"
@@ -18,20 +18,8 @@ HOMEPAGE="https://code.videolan.org/videolan/libudfread/";
 
 LICENSE="LGPL-2.1+"
 SLOT="0"
-IUSE="static-libs"
 
-src_prepare() {
-       default
-       eautoreconf
-}
-
-multilib_src_configure() {
-       ECONF_SOURCE="${S}" econf
-}
-
-multilib_src_install_all() {
-       find "${D}" -name '*.la' -delete || die
-       if ! use static-libs ; then
-               find "${D}" -name '*.a' -delete || die
-       fi
+multilib_src_install() {
+       meson_src_install
+       find "${D}" -name '*.la' -delete -o -name '*.a' -delete || die
 }

diff --git a/dev-libs/libudfread/libudfread-9999.ebuild 
b/dev-libs/libudfread/libudfread-9999.ebuild
index f4fb055b98c6..76c83208c5d6 100644
--- a/dev-libs/libudfread/libudfread-9999.ebuild
+++ b/dev-libs/libudfread/libudfread-9999.ebuild
@@ -1,16 +1,16 @@
-# Copyright 1999-2020 Gentoo Authors
+# Copyright 1999-2025 Gentoo Authors
 # Distributed under the terms of the GNU General Public License v2
 
-EAPI=7
+EAPI=8
 
-inherit autotools multilib-minimal
+inherit meson-multilib
 
 if [[ ${PV} == *9999 ]] ; then
        EGIT_REPO_URI="https://code.videolan.org/videolan/${PN}.git";
        inherit git-r3
 else
        
SRC_URI="https://code.videolan.org/videolan/libudfread/-/archive/${PV}/${P}.tar.gz";
-       KEYWORDS="~amd64 ~arm ~arm64 ~x86"
+       KEYWORDS="~amd64 ~arm ~arm64 ~loong ~mips ~ppc ~ppc64 ~riscv ~sparc 
~x86"
 fi
 
 DESCRIPTION="Library for reading UDF from raw devices and image files"
@@ -18,20 +18,8 @@ HOMEPAGE="https://code.videolan.org/videolan/libudfread/";
 
 LICENSE="LGPL-2.1+"
 SLOT="0"
-IUSE="static-libs"
 
-src_prepare() {
-       default
-       eautoreconf
-}
-
-multilib_src_configure() {
-       ECONF_SOURCE="${S}" econf
-}
-
-multilib_src_install_all() {
-       find "${D}" -name '*.la' -delete || die
-       if ! use static-libs ; then
-               find "${D}" -name '*.a' -delete || die
-       fi
+multilib_src_install() {
+       meson_src_install
+       find "${D}" -name '*.la' -delete -o -name '*.a' -delete || die
 }

Reply via email to